System.register(["./core"], function (exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1, Outputs, ComplexProperties, Inputs, DatePickerComponent, DatePickerValueAccessor, EJ_DATEPICKER_COMPONENTS;
    return {
        setters: [
            function (core_1_1) {
                core_1 = core_1_1;
            }
        ],
        execute: function () {
            Outputs = ["beforeClose", "beforeDateCreate", "beforeOpen", "change", "close", "create", "destroy", "focusIn", "focusOut", "navigate", "open", "select"];
            ComplexProperties = ["fields"];
            Inputs = core_1.Utils.AngularizeInputs(["allowEdit", "allowDrillDown", "blackoutDates", "buttonText", "cssClass", "dateFormat", "dayHeaderFormat", "depthLevel", "displayInline", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "fields", "headerFormat", "height", "highlightSection", "highlightWeekend", "htmlAttributes", "locale", "maxDate", "minDate", "readOnly", "showDisabledRange", "showFooter", "showOtherMonths", "showPopupButton", "showRoundedCorner", "showTooltip", "specialDates", "startDay", "startLevel", "stepMonths", "tooltipFormat", "validationMessage", "validationRules", "value", "watermarkText", "width", "fields.date", "fields.iconClass", "fields.tooltip", "fields.cssClass"], []);
            exports_1("DatePickerComponent", DatePickerComponent = core_1.CreateComponent("DatePicker", {
                selector: 'ej-datepicker',
                inputs: Inputs,
                outputs: Outputs,
                template: "<input />",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
                isEditor: true
            }));
            exports_1("DatePickerValueAccessor", DatePickerValueAccessor = core_1.CreateControlValueAccessor("ej-datepicker", DatePickerComponent));
            exports_1("EJ_DATEPICKER_COMPONENTS", EJ_DATEPICKER_COMPONENTS = [DatePickerComponent, DatePickerValueAccessor]);
        }
    };
});
//# sourceMappingURL=datepicker.component.js.map