System.register(["@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, JTemplateDirective, JTemplateDirective_1;
    return {
        setters: [
            function (core_1_1) {
                core_1 = core_1_1;
            }
        ],
        execute: function () {
            JTemplateDirective = JTemplateDirective_1 = (function () {
                function JTemplateDirective(el, viewContainerRef, templateRef) {
                    this.el = el;
                    this.viewContainerRef = viewContainerRef;
                    this.templateRef = templateRef;
                    this.childViews = [];
                }
                JTemplateDirective.prototype.ngOnInit = function () {
                    console.log("jtemplate");
                };
                JTemplateDirective.prototype.ngAfterViewInit = function () {
                    this.compileTempalte();
                };
                JTemplateDirective.prototype.compileTempalte = function () {
                    var element = JTemplateDirective_1.widget.element;
                    var childView;
                    var templates = $(element).find('.ej-angular-template');
                    var templateObject = JTemplateDirective_1.widget.angularTemplate;
                    for (var template in templateObject) {
                        var tmplElement = templates.filter('.' + templateObject[template].key);
                        if (tmplElement.length) {
                            for (var i = 0; i < tmplElement.length; i++) {
                                childView = this.viewContainerRef.createEmbeddedView(this.templateRef, { '$implicit': templateObject[template].itemData[i] });
                                this.childViews[i] = childView;
                                $(tmplElement[i]).append(childView.rootNodes);
                            }
                        }
                        else {
                            delete templateObject[template];
                        }
                    }
                };
                return JTemplateDirective;
            }());
            JTemplateDirective = JTemplateDirective_1 = __decorate([
                core_1.Directive({
                    selector: '[j-template]'
                }),
                __metadata("design:paramtypes", [core_1.ElementRef, core_1.ViewContainerRef,
                    core_1.TemplateRef])
            ], JTemplateDirective);
            exports_1("JTemplateDirective", JTemplateDirective);
        }
    };
});
//# sourceMappingURL=template.directive.js.map